> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imprint.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Statement Reward

> Initiate a statement reward webhook to be sent in sandbox environment



## OpenAPI

````yaml /api-reference/openapi.yaml post /v2/simulate_statement_reward
openapi: 3.1.0
info:
  title: Public Imprint API
  version: '2.0'
servers:
  - url: https://dev.sbx.imprint.co
    description: Imprint public api sandbox
security:
  - basicAuth: []
  - bearerAuth: []
paths:
  /v2/simulate_statement_reward:
    post:
      tags:
        - Simulate Statement Reward
      summary: Simulate Statement Reward
      description: Initiate a statement reward webhook to be sent in sandbox environment
      operationId: simulateStatementReward
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - customer_id
              properties:
                customer_id:
                  type: string
                  example: e2806932-5f1b-4518-8b15-156d773e9496
      responses:
        '200':
          description: Statement reward webhook initiated
          content:
            application/json:
              schema:
                type: object
                properties:
                  debugging_id:
                    type: string
                    description: >-
                      If you received an unexpected webhook or did not receive a
                      webhook, send debugging id to your imprint team
                    example: E777214A-2D11-4CAD-9E8F-E1BD71D9FE67
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication. Allowed headers-- Authorization: Bearer
        <api_key>
      scheme: bearer
      type: http

````